Name:           httping
Version:        3.6
Release:        %mkrel 1
Summary:        Ping alike tool for http requests
Group:          Networking/Other
License:        GPLv2
Url:            https://github.com/folkertvanheusden/HTTPing/
Source0:        https://github.com/folkertvanheusden/HTTPing/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:         httping-cmake-install.patch

BuildRequires:  cmake
BuildRequires:  pkgconfig(openssl)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(ncursesw)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  gettext

%description
Httping is like 'ping' but for http-requests.
Give it an url, and it'll show you how long it takes to connect,
send a request and retrieve the reply (only the headers). Be aware
that the transmission across the network also takes time!

%prep
%autosetup -p1 -n HTTPing-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_mandir}/man*/%{name}*.*
%{_mandir}/*/*/%{name}*.*
%{_bindir}/%{name}


%changelog
* Fri Nov 22 2024 daviddavid <daviddavid> 3.6-1.mga10
+ Revision: 2118495
- new version: 3.6

* Mon May 06 2024 daviddavid <daviddavid> 3.5-1.mga10
+ Revision: 2062587
- new version: 3.5
- switch to cmake build system

* Mon May 06 2024 daviddavid <daviddavid> 2.9-1.mga10
+ Revision: 2062581
- new version: 2.9

* Fri Apr 01 2022 umeabot <umeabot> 2.5-6.mga9
+ Revision: 1837936
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 2.5-5.mga9
+ Revision: 1747809
- rebuild for openssl 3.0.0

* Thu Feb 13 2020 umeabot <umeabot> 2.5-4.mga8
+ Revision: 1513509
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5-3.mga7
+ Revision: 1298218
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 2.5-2.mga7
+ Revision: 1152124
- rebuild for openssl 1.1

* Sat Sep 17 2016 daviddavid <daviddavid> 2.5-1.mga6
+ Revision: 1053546
- new version: 2.5
- switch BRs to pkgconfig()

* Wed Mar 02 2016 umeabot <umeabot> 2.4-3.mga6
+ Revision: 983477
- Rebuild for openssl

* Mon Feb 15 2016 umeabot <umeabot> 2.4-2.mga6
+ Revision: 960630
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 2.4-1.mga6
+ Revision: 906019
- new version: 2.4

* Tue Oct 20 2015 danf <danf> 2.3.4-4.mga6
+ Revision: 893072
- Fixed an unpackaged file error

* Wed Oct 15 2014 umeabot <umeabot> 2.3.4-3.mga5
+ Revision: 740188
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3.4-2.mga5
+ Revision: 680199
- Mageia 5 Mass Rebuild

* Wed Mar 19 2014 bersuit <bersuit> 2.3.4-1.mga5
+ Revision: 605871
- Update to new version 2.3.4

* Mon Oct 21 2013 umeabot <umeabot> 2.3.3-2.mga4
+ Revision: 537202
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 bersuit <bersuit> 2.3.3-1.mga4
+ Revision: 486366
- Updated to new upstream release 2.3.3

* Thu Jan 17 2013 oden <oden> 1.5.7-1.mga3
+ Revision: 389214
- 1.5.7

* Sat Jan 12 2013 umeabot <umeabot> 1.5.6-2.mga3
+ Revision: 353370
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 juancho <juancho> 1.5.6-1.mga3
+ Revision: 340952
- Updated to 1.5.6

* Wed Oct 24 2012 bersuit <bersuit> 1.5.5-1.mga3
+ Revision: 309668
- New version 1.5.5

* Tue Sep 11 2012 oden <oden> 1.5.4-1.mga3
+ Revision: 292204
- 1.5.4

* Wed Aug 01 2012 juancho <juancho> 1.5.3-1.mga3
+ Revision: 277221
- imported package httping


* Thu Jul 31 2012 Alfonso Vera <bersuit.vera@gmail.com> - 1.5.3-1bdk.mga2
+ Build for Mageia 2
